@extends("layouts.admin")

@section('content')
    <div class="page-header">
        <h3 class="page-title">
            Адреса
        </h3>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="#">Адреса</a></li>
                <li class="breadcrumb-item active" aria-current="page">Список</li>
            </ol>
        </nav>
    </div>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <table class="table table-hover table-striped">
                        <thead>
                        <tr>
                            <td>#</td>
                            <td>Добавил пользователь</td>
                            <td>ФИО</td>
                            <td>Адрес</td>
                            <td>Дата добавления</td>
                            <td>Опции</td>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($addresses as $address)
                        <tr>
                            <td>{{ $address->id }}</td>
                            <td>{{ $address->user->name ?? '' }}</td>
                            <td>{{ $address->getFIO() }}</td>
                            <td>{{ $address->getFormated() }}</td>
                            <td>{{ $address->created }}</td>
                            <td><a href="{{ route('addressEdit', ['address_id' => $address->id]) }}" class="btn btn-sm btn-primary">Edit</a></td>
                        </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="row justify-content-md-center">
            <div class="mt-4 mb-5 mx-auto d-block">
                {{ $addresses->appends($_GET)->links() }}
            </div>
        </div>
    </div>
@endsection