@extends('layouts.user_new')
@section('content')
    <style>

        /*#msform fieldset {*/
        /*    background: transparent;*/
        /*    border: 0 none;*/
        /*    padding: 20px 30px;*/

        /*    box-sizing: border-box;*/
        /*    width: 80%;*/
        /*    margin: 0 10%;*/

        /*    !*stacking fieldsets above each other*!*/
        /*    position: absolute;*/
        /*}*/

        /*Hide all except first fieldset*/
        #msform fieldset:not(:first-of-type) {
            display: none;
        }

        /*progressbar*/
        #progressbar {
            counter-reset: step;
            padding: 20px 30px;
            height: 100px;
        }

        #progressbar li {
            list-style-type: none;
            width: 50%;
            float: left;
            position: relative;
            text-align: center;
        }

        #progressbar li:before {
            content: counter(step);
            counter-increment: step;
            width: 50px;
            height: 50px;
            line-height: 20px;
            display: block;
            color: #7d7d7d;
            background: #7d7d7d;
            border-radius: 25px;
            margin: 0 auto 5px auto;
        }

        /*progressbar connectors*/
        #progressbar li:after {
            content: '';
            width: 90%;
            height: 2px;
            background: #459fff;
            position: absolute;
            left: -45%;
            top: 25px;
            z-index: 1; /*put it behind the numbers*/
        }

        #progressbar li:first-child:after {
            /*connector not needed before the first step*/
            content: none;
        }

        /*marking active/completed steps green*/
        /*The number of the step and the connector before it = green*/
        #progressbar li.active:before, #progressbar li.active:after {
            background: #459fff;
            color: #459fff;
            left: -45%;
        }

        .scroll-horizantal {
            overflow-y: scroll;
            overflow-x: hidden;
            transform: rotate(270deg) translateX(-100%);
            transform-origin: top left;
            background-color: #999;
            position: absolute;
        }

        kbd {
            margin-right: 30px;
            margin-left: 5px;
            background-color: #0264ce !important;
        }
    </style>

    <section class="section section-inset-1">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <h4 class="mb-5">
                        <span class="text-top-title">Оплата</span>
                    </h4>
                </div>
            </div>
            <ul id="progressbar" class="needs-validation border border-1 bg-white">
                <li class="active">Квитанция</li>
                <li>Оплата</li>
            </ul>
            <hr>
            <form id="msform" action="{{ route('package.store') }}" method="POST"
                  class="border border-1 bg-white p-5">

                {{ csrf_field() }}
                <fieldset>
                    <div class="mb-3">
                        <p>№: <kbd>{{ $payment->transaction_number }}</kbd></p>
                        <p>Отправитель: <kbd>{{ $order->sender }}</kbd></p>
                        <hr>
                        <br>
                        <p>Номер заказа: <kbd>{{ $order->track_number }}</kbd> | Вес: <kbd>{{ $order->weight }}
                                кг.</kbd> | Количество: <kbd>{{ $order->amount }} шт.</kbd> | Цена товара:
                            <kbd>{{ $order->total }} $</kbd> | Сумма к оплате:
                            <kbd>{{ $order->summa }} $</kbd></p>
                        <br>
                        <hr>
                        <p>Получатель: <kbd>{{ $order->recipient }}</kbd> | Паспортные данные:
                            <kbd>{{ $order->recipient_passport }}</kbd></p>
{{--                        <p>Адрес получателя: <kbd>{{ $order->recipient_address }}</kbd></p>--}}

                    </div>
                    <br/><br/>
                    <input type="button" name="next" style="float: right; width: 35%"
                           class="next action-button btn btn-primary btn-lg btn-block mt-4"
                               value="Следующий"/>
                </fieldset>
                <fieldset style="padding: 5% 15% 5% 15% !important;">

                    <div id="paypal-button-container"></div>
                    <script
                        src="https://www.paypal.com/sdk/js?client-id=AaQ97uzZztUZ4UB41nf8tjWwoh1U_pwJVE-pucczFZfBmBSJ-VjFrNslgJueyev8enLp-LxQPw8GJw6a&currency=USD"></script>
                    <script> paypal.Buttons({
                            style: {shape: 'pill', color: 'blue', layout: 'vertical', label: 'pay',},
                            createOrder: function (data, actions) {
                                return actions.order.create({
                                    purchase_units: [{
                                        transaction_number: {value: '{{ $payment->transaction_number }}'},
                                        amount: {value: '{{ $payment->summa }}'}
                                    }]
                                });
                            },
                            onApprove: function (data, actions) {
                                return actions.order.capture().then(function (details) {
                                    console.log(data);
                                    // alert('Transaction completed by ' + details.payer.name.given_name + '!');
                                    return fetch('/packages/paypal-transaction-complete', {
                                        method: 'post',
                                        headers: {
                                            'content-type': 'application/json'
                                        },
                                        body: JSON.stringify({
                                            orderID: data.orderID
                                        })
                                    });
                                });
                            }
                        }).render('#paypal-button-container'); </script>

                    {{--                    <input type="button" name="previous"--}}
                    {{--                           style="width: 35%;float: left"--}}
                    {{--                           class="previous action-button btn btn-primary btn-lg btn-block mt-4"--}}
                    {{--                           value="Предыдущий"/>--}}


                    {{--                    <button class="btn btn-primary btn-lg btn-block mt-4"--}}
                    {{--                            style="width: 35%; float:right;"--}}
                    {{--                            type="submit">Зарегистрировать--}}
                    {{--                    </button>--}}

                </fieldset>
            </form>
        </div>
    </section>
    <script>
        'use strict'
        //jQuery time
        var current_fs, next_fs, previous_fs; //fieldsets
        var left, opacity, scale; //fieldset properties which we will animate
        var animating; //flag to prevent quick multi-click glitches

        $(".next").click(function () {

            current_fs = $(this).parent();
            next_fs = $(this).parent().next();

            //activate next step on progressbar using the index of next_fs
            $("#progressbar li").eq($("fieldset").index(next_fs)).addClass("active");

            next_fs.show();
            //hide the current fieldset with style
            current_fs.hide();

        });

        $(".previous").click(function () {
            // if (animating) return false;
            // animating = true;

            current_fs = $(this).parent();
            previous_fs = $(this).parent().prev();
            console.log(current_fs);
            console.log(previous_fs);
            //de-activate current step on progressbar
            $("#progressbar li").eq($("fieldset").index(current_fs)).removeClass("active");

            //show the previous fieldset
            previous_fs.show();
            //hide the current fieldset with style
            current_fs.hide();
        });

    </script>



@endsection


@section('custom_script')

    <script>
        var counter = 1;

        function count_total_cost() {
            var total_sum = 0;
            $('#table_package').find('tbody > tr').each(function (i, el) {
                var cost = $(this).find('.cost_per_stuff').text().slice(1);
                total_sum += parseInt(cost);
            });
            $('#total_price').text('$' + total_sum);
        }

        function recount_order() {
            counter = 1;
            $('.counter_number').each(function () {
                $(this).html(counter);
                counter += 1;
            });
        }

        $('#table_package').on('keyup, focusout', '.count, .cost', function () {
            $(this).parent().parent().parent().find('.cost_per_stuff').text('$' +
                $(this).parent().parent().parent().find('.count').val() * $(this).parent().parent().parent().find('.cost').val()
            );
            count_total_cost();
        });

        $('#table_package').on('click', '.button-delete', function (e) {
            e.preventDefault();
            $(this).parent().parent().remove();
            count_total_cost();
            recount_order();
        });


        $('#add_new_packet').click(function (e) {
            e.preventDefault();
            counter += 1;
            $('#table_package > tbody:last-child').append('<tr class="d-flex">\n' +
                '                        <td class="text-center col-1 counter_number">' + counter + '</td>\n' +
                '                        <td class="col-3">\n' +
                '                            <input type="text" name="products[' + counter + '][0]" class="form-control form-control-sm" required />\n' +
                '                        </td>\n' +
                '                        <td class="col-2">\n' +
                '                            <div class="input-group input-group-sm">\n' +
                '                                <input type="number" name="products[' + counter + '][1]" class="form-control form-control-sm count"  value="1" required>\n' +
                '                                <div class="invalid-feedback" >\n' +
                '                                    Укажите количество единиц товара\n' +
                '                                </div>\n' +
                '                            </div>\n' +
                '                        </td>\n' +
                '                        <td class="col-2">\n' +
                '                            <div class="input-group input-group-sm">\n' +
                '                                <input type="number" name="products[' + counter + '][2]" class="form-control form-control-sm cost" value="2" required>\n' +
                '                                <div class="invalid-feedback" >\n' +
                '                                    Укажите стоимость за единицу товара\n' +
                '                                </div>\n' +
                '                            </div>\n' +
                '                        </td>\n' +
                '                        <td class="col-2">\n' +
                '                            <div class="input-group input-group-sm">\n' +
                '                                <input type="text" name="products[' + counter + '][3]" class="form-control form-control-sm" required>\n' +
                '                                <div class="invalid-feedback" >\n' +
                '                                    Your username is required.\n' +
                '                                </div>\n' +
                '                            </div>\n' +
                '                        </td>\n' +
                '                        <td class="text-center col-1">\n' +
                '                            <span class="cost_per_stuff">$2</span>\n' +
                '                        </td>\n' +
                '                        <td class="col-1 text-center">\n' +
                '                            <a href="#" class="btn btn-sm btn-outline-danger btn-round button-delete">X</a>\n' +
                '                        </td>\n' +
                '                    </tr>');

            count_total_cost();
            recount_order();
        });
    </script>
@endsection
